
Redmine - Patch #27240

Render the activities block on the UsersController#show view grouped, with event_type icon and

with the 'me' indication

2017-10-20 16:19 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.0   

Description

The activities block on the UsersController#show view is currently missing three things:

the grouping as introduced via #12542 for the general activities view(s);

the event_type icon, as it is used for the general activities view(s);

the indication of events that were authored by 'me', as it is used for the general activities view(s).

The attached patch fixes these inconsistencies and makes the rendering of the activities block on the UsersController#show view the

same as it is for the general activities view(s). See the following screenshots:

Screenshots:

Before:

After:

The patch, against source:/trunk@16967, is produced using git format-patch which makes it apply-able using "patch -p1 < 0001-...".

Environment:

Environment:

  Redmine version                3.4.2.devel@r16967

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux]
  Rails version                  5.1.2

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  no plugin installed

Related issues:

Related to Redmine - Feature #12542: Group events in the activity view Closed

Associated revisions

Revision 17128 - 2017-12-25 05:38 - Go MAEDA

Render activities block on UsersController#show grouped and with event_type icon (#27240).

Patch by Mischa The Evil.

History

#1 - 2017-10-21 09:08 - Go MAEDA

- Target version set to 4.1.0

It looks good. I am setting target version to 4.1.0.

Thank you for the patch.

#2 - 2017-10-25 18:51 - Mischa The Evil

- Related to Feature #12542: Group events in the activity view added

#3 - 2017-12-25 05:39 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for fixing the inconsistencies.

Files

before.png 16.9 KB 2017-10-20 Mischa The Evil

after.png 20.4 KB 2017-10-20 Mischa The Evil

0001-Render-activities-block-on-UsersController-show-grou.patch 2 KB 2017-10-20 Mischa The Evil

Powered by TCPDF (www.tcpdf.org)

2025-07-01 2/2

http://www.tcpdf.org

